Issue 122416 - changing "Default" page style to landscape will cause portrait page layout of "Landscape" page style
Summary: changing "Default" page style to landscape will cause portrait page layout of...
Status: RESOLVED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 4.0.0-dev
Hardware: PC Windows 7
: P3 Normal (vote)
Target Milestone: ---
Assignee: Oliver-Rainer Wittmann
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-29 21:04 UTC by Rainer Bielefeld
Modified: 2013-05-30 14:03 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Rainer Bielefeld 2013-05-29 21:04:06 UTC
I tested with with server installation of  "AOO 4.0.0-Dev – English UI / German locale [AOO400m2(Build:9701) -   Rev. 1485784 Rev.1485289 (2013-05-24)]" on WIN7 Home Premium (64bit)", Common 4.0 Trunk User Profile and I can reporoduce results in FDO#65139 - Sidebar: apply page-style 'landscape' to a landscape page set using sidebar will result in portrait layout, details see in LibO bug.

CONFIRMED due to LibO bug.
Comment 1 Oliver-Rainer Wittmann 2013-05-30 06:49:42 UTC
taking over to find a solution
Comment 2 Rainer Bielefeld 2013-05-30 07:02:21 UTC
I'm afraid I was a little slapdash, this one seems not related to Sidebar.
 
With similar proceeding already Reproducible with server installation of  "AOO 3.4.1 – German UI / German locale [AOO341m1(Build:9593) - Rev.1372282]" on WIN7 Home Premium (64bit)", own separate user profile:

1. Open new Writer document from AOO Start Center
   > Opens new document from Template, A4 Portrait
2. If necessary, change Zoom to "All Page"
3. Menu 'Format -> Page -> Landscape (Radio button)' <OK>
   > Page format changes to "Landscape"
4. <f11> (if necessary to make Styles pane visible) -> Page Styles
   -> Landscape (double click)
   Expected: Nothing happens because already "Landscape"
   Actual: Page format Changes to Portrait
Comment 3 jsc 2013-05-30 07:27:42 UTC
@Rainer: is it possible that you mainly work and test the crap of LO where they have many more problems with the sidebar. In a second step you verify with AOO and submit the issues at AOO in the hope that we fix it for LO?
Well it's valid and if it is an issue that we can reproduce in AOO we will fix it but I find it more than strange but not really surprising for LO. Please don't bother us with any LO issues.
Comment 4 V Stuart Foote 2013-05-30 07:32:23 UTC
Actually, that behaves consistently, but the action is to toggle between the active orientation of active "Default" style and the opposite inactive orientation. 

But is that incorrect? Or is the problem is that it is labeled Landscape--but toggles between either default. So maybe should be labeled "Toggle orientation (l/p)" or such?

Working in Windows ia2 build
AOO400m1(Build:9700)  -  Rev. 1484083
Rev.1484083

I followed Rainer's lead and used the Format -> Page -> Landscape, and the F11 styles pane.  The layout orientation toggled between "Default" & "Landscape" buttons on list--i.e. Landscape was not the action just the toggle to the opposite.  Then, on same build, worked in the sidebar Properties panel, Orientation tool bar setting [Portrait|Landscape] and then the Styles and Formatting panel Page style button--the Default and Landscape list button also perform the toggle.

This was not the behavior on a LibreOffice Windows build, but was the action reported as a bug on an LibreOffice OSX build in fdo#65139 

I'll go ahead and check against a r1487531 build of the trunk a little later, don't want to take down my ia2 test system at the moment.
Comment 5 V Stuart Foote 2013-05-30 07:58:58 UTC
(In reply to jsc from comment #3)
> @Rainer: is it possible that you mainly work and test the crap of LO where
> they have many more problems with the sidebar. In a second step you verify
> with AOO and submit the issues at AOO in the hope that we fix it for LO?
> Well it's valid and if it is an issue that we can reproduce in AOO we will
> fix it but I find it more than strange but not really surprising for LO.
> Please don't bother us with any LO issues.

WTF Jorgen, that's a little harsh. Actually Rainer got tired of the "sniping" on the LibreOffice forums and Bugzilla and formally "retired" from the project. He like I is agnostic regards the QA efforts and getting the developers what they need. He's just focusing more on Apache OpenOffice efforts.

Stuart
Comment 6 Oliver-Rainer Wittmann 2013-05-30 08:24:41 UTC
my investigation reveals that this issue is unrelated to the Sidebar feature.

In AOO 3.4.1 I can reproduce the defect by using the Format Page Style dialog instead of the page property panel of the Sidebar feature.

--> removing block on bug 121420
--> adjusting summary
Comment 7 jsc 2013-05-30 08:27:06 UTC
@Stuart, maybe it was to harsh but I am a human and got very annoyed by the approach of LO how they take the code from us without appropriate acknowledgement. It's not only the sidebar. This is not my understanding of open source. Anyway the sidebar is poorly merged in LO and it shows that they have no clue of this code (again not surprising) and I got simply the impression that Rainer wanted us to fix their problems. If I am wrong I apologize to Rainer and he is welcome to join AOO. Useful, valid and detailed bug reports are welcome on base of AOO. But we simply can't care about LO issues and I will never look in a LO issue for reference. I can't use any patch applied to issues anyway and if I don't know the content at all nobody can say that I have taken it ;-)
Comment 8 V Stuart Foote 2013-05-30 09:45:23 UTC
(In reply to jsc from comment #7)
> @Stuart, maybe it was to harsh...but I am a human and got very annoyed... 
> and I got simply the impression that Rainer wanted us to fix their problems.
> If I am wrong I apologize to Rainer and he is welcome to join AOO. 

No worries, just not the case.

> Useful, valid and detailed bug reports are welcome on base of AOO. 

Rainer writes exceptional issue reports and test cases. Many of us working LibreOffice QA were sad to see him "retire".  Trust me it is AOO's gain!


Oliver,

So is the intended logic of the Styles and Formatting -> Page Styles  Default|Landscape buttons to be reciprocals? If so, the Landscape label needs to be adjusted. 

If not, then if the Format -> Page -> Landscape set landscape--what is the default page style, and how would a Portrait style be applied to the page?
Comment 9 Oliver-Rainer Wittmann 2013-05-30 10:37:44 UTC
(In reply to V Stuart Foote from comment #8)
> 
> [snip]
> 
> Oliver,
> 
> So is the intended logic of the Styles and Formatting -> Page Styles 
> Default|Landscape buttons to be reciprocals? If so, the Landscape label
> needs to be adjusted. 

No.
Page Style "Default" and "Landscape" are not reciprocals.
The current default values for these Page Styles let them look like this. But, if the user change one Page Style the other should be untouched.

> 
> If not, then if the Format -> Page -> Landscape set landscape--what is the
> default page style, and how would a Portrait style be applied to the page?

If the user changes the page orientation of the "Default" Page Style, then she/he has to use another Page Style or have to create a new Page Style to apply a 'Portrait' Page Style.
Comment 10 Rainer Bielefeld 2013-05-30 11:06:53 UTC
The longer I think about the observations my suspect is growing that some of my observations are feature, and some might be a bug. Oliver's explication seems plausible to me.

@V Stuart Foote:
Thx for the flowers :-)
Comment 11 SVN Robot 2013-05-30 11:11:01 UTC
"orw" committed SVN revision 1487815 into trunk:
122416: <SwDoc::GetPageDescFromPool(..)> - correction and refactoring
Comment 12 Oliver-Rainer Wittmann 2013-05-30 11:12:00 UTC
fixed on trunk for AOO 4.0
Comment 13 Armin Le Grand 2013-05-30 14:03:03 UTC
ALG: @rainerbielefeld: I have to add to the flowers, your reports are much appreciated (and acted upon, as you know). Still, I am also human and after the SVG import assimilation without comment (https://blogs.apache.org/OOo/entry/good_news_libreoffice_is_integrating) I am also not too eager to fix tasks for others. No prune intended, though, but in one point I agree with jsc: This is not my understanding of oss...